Bug 1088749 - Changes or overrides to smart class parameters must be audit logged
Summary: Changes or overrides to smart class parameters must be audit logged
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Configuration Management
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
low vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Og Maciel
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-17 06:29 UTC by Dominic Cleal
Modified: 2019-09-26 15:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:14:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (93.79 KB, image/png)
2014-06-02 21:12 UTC, Og Maciel
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 1902 0 None None None 2016-04-22 16:47:57 UTC

Description Dominic Cleal 2014-04-17 06:29:55 UTC
Description of problem:
When a smart class parameter is changed, or an override is added (e.g. for a host or host group), these changes must be reflected in the audit log.

Version-Release number of selected component (if applicable):
MDP2

How reproducible:
Always

Steps to Reproduce:
1. Configure > Puppet class, edit a class' smart class parameter and tick Override
2. Edit or create a host, assign the class to it
3. On the host parameters tab, override the parameter
4. Check the audit log

Actual results:
"Updated host <x>"
"added Puppet class: <y::z>"

Expected results:
An additional entry to show the override being added for host <x> and its value.

Comment 3 Dominic Cleal 2014-04-18 20:13:43 UTC
Merged in 971fee795383d2f7dc757a91ceb46bd693e20a4d.

Comment 5 Og Maciel 2014-06-02 21:12:12 UTC
Created attachment 901539 [details]
Screenshot

Comment 6 Elyézer Rezende 2014-06-02 21:16:22 UTC
Tried to verify the this bug but was not displayed a recent entry for update.

Comment 7 Elyézer Rezende 2014-06-02 21:17:05 UTC
The last comment is related to the Screenshot attached by Og Maciel.

Comment 8 Dominic Cleal 2014-06-03 07:00:37 UTC
The screenshot shows two audit entries for changes to apache smart variables and smart class parameters.  If you have another change that isn't showing up, please provide reproducer steps as it isn't clear from the screenshot.

Comment 9 Elyézer Rezende 2014-06-03 11:32:38 UTC
According to bug description the results should be


1) "Updated host <x>"
2) "added Puppet class: <y::z>"
3) "override entry"

What is not clear is that entry for 1 have not being displayed so the doubt is it should display an entry saying that the host was updated when adding or overriding a smart variable or smart class?


If not I seems that the bug was verified.

Comment 10 Dominic Cleal 2014-06-03 14:59:56 UTC
1) doesn't matter if the host didn't actually change apart from the class association, it sounds fine.

Comment 11 Og Maciel 2014-06-04 14:18:33 UTC
The attached screenshot shows that Audit log shows the override action which was not happening before.

VERIFIED:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.13-1.el6sat.noarch
* foreman-compute-1.6.0.13-1.el6sat.noarch
* foreman-gce-1.6.0.13-1.el6sat.noarch
* foreman-libvirt-1.6.0.13-1.el6sat.noarch
* foreman-ovirt-1.6.0.13-1.el6sat.noarch
* foreman-postgresql-1.6.0.13-1.el6sat.noarch
* foreman-proxy-1.6.0.6-1.el6sat.noarch
* foreman-selinux-1.6.0-3.el6sat.noarch
* foreman-vmware-1.6.0.13-1.el6sat.noarch
* katello-1.5.0-25.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.44-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-plugins-0.3-1.el6sat.noarch
* pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
* pulp-server-2.4.0-0.18.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* rubygem-hammer_cli-0.1.1-2.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-5.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.4-4.el6sat.noarch

Comment 12 Bryan Kearney 2014-07-02 14:10:06 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Comment 13 Bryan Kearney 2014-07-02 14:10:28 UTC
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Comment 14 Bryan Kearney 2014-07-02 14:14:58 UTC
This was delivered in the Satellite 6 Beta (6.0.3)


Note You need to log in before you can comment on or make changes to this bug.